Create Contact
Custom fields can be written as additional top-level properties using each custom field key. Values are validated against the field definitions returned by List Custom Fields.
Authorization
bearerAuth In: header
Query Parameters
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.
items <= 10Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Identifier assigned by an external system.
Secondary identifier assigned by an external system.
Full Name value for this resource.
Salutation value for this resource.
Birthday value for this resource.
Human-readable description of the resource.
Address Line1 value for this resource.
Address Line2 value for this resource.
Zipcode value for this resource.
City value for this resource.
Country value for this resource.
Response Body
application/json
curl -X POST "https://api.getmateo.com/v1/contacts" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24T14:15:22Z", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "property1": null, "property2": null}Create Contact Batch Import POST
Creates a new contact Batch Import.
Delete Contact by Locator DELETE
Provide exactly one contact locator: - `external_id` - `secondary_external_id` - `email_address` - `sms_phone_number` - `whatsapp_phone_number` - `facebook_user_id` - `instagram_user_id` - `postal_address`